Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Interface GLConstants

All Known Implementing Classes:
  GLCgFXEffect, GLCgShader, GLCgShaderParameter, GLGraphics, GLGraphicsOffScreen, GLModel, GLModelEffectParameter, GLModelEffectVertexAttrib, GLShader, GLSLShader, GLSLShaderAttribute, GLSLShaderUniform, GLTexture, GLTextureFilter, GLTextureParameters

    public interface GLConstants

This interface class defines constants used in the glgraphics package.

Field Summary
`static int` | `BACKGROUND_ALPHA`
`static int` | `COLOR` This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.
`static int` | `DOUBLE` This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.
`static int` | `FLOAT` This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.
`static int` | `FRAGMENT_PROGRAM`
`static int` | `GEOMETRY_PROGRAM`
`static int` | `GL_DEPTH_STENCIL`
`static int` | `GL_DEPTH24_STENCIL8`
`static int` | `GL_UNSIGNED_INT_24_8`
`static java.lang.String` | `GLGRAPHICS` This constant identifies the GLGraphics renderer.
`static int` | `IDENTITY_MATRIX` Matrix operations used in Cg..
`static int` | `INVERSE_MATRIX`
`static int` | `INVERSE_TRANSPOSE_MATRIX`
`static int` | `LINE_LOOP`
`static int` | `LINE_STRIP`
`static int` | `LINEAR` This constant identifies the linear texture filter .
`static int` | `LINEAR_MIPMAP_LINEAR` This constant identifies the linear/linear function to build mipmaps .
`static int` | `LINEAR_MIPMAP_NEAREST` This constant identifies the linear/nearest function to build mipmaps .
`static int` | `NEAREST` This constant identifies the nearest texture filter .
`static int` | `NEAREST_MIPMAP_LINEAR` This constant identifies the nearest/linear function to build mipmaps .
`static int` | `NEAREST_MIPMAP_NEAREST` This constant identifies the nearest/nearest function to build mipmaps .
`static int` | `POINT_SPRITES`
`static int` | `SHADER_VAR_FLOAT`
`static int` | `SHADER_VAR_INT` These constants identifies the shader variable types.
`static int` | `SHADER_VAR_MAT2`
`static int` | `SHADER_VAR_MAT3`
`static int` | `SHADER_VAR_MAT4`
`static int` | `SHADER_VAR_MODELVIEW_MAT`
`static int` | `SHADER_VAR_MODELVIEW_PROJECTION_MAT`
`static int` | `SHADER_VAR_PROJECTION_MAT`
`static int` | `SHADER_VAR_TEXTURE_MAT`
`static int` | `SHADER_VAR_TEXTURE_SAMPLER`
`static int` | `SHADER_VAR_VEC2`
`static int` | `SHADER_VAR_VEC3`
`static int` | `SHADER_VAR_VEC4`
`static int` | `TEX_BYTE` This constant identifies an unsigned byte texture buffer.
`static int` | `TEX_INT` This constant identifies an integer texture buffer.
`static int` | `TEX_NORM` This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.
`static int` | `TEX_ONEDIM` This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.
`static int` | `TEX_RECT` This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates
`static int` | `TRANSPOSE_MATRIX`
`static int` | `VERTEX_PROGRAM` These constants identifies the shader program types.

Field Detail

### GLGRAPHICS

    static final java.lang.String GLGRAPHICS

  This constant identifies the GLGraphics renderer.

  See Also:
    Constant Field Values

### TEX_NORM

    static final int TEX_NORM

  This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.

  See Also:
    Constant Field Values

### TEX_RECT

    static final int TEX_RECT

  This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

  See Also:
    Constant Field Values

### TEX_ONEDIM

    static final int TEX_ONEDIM

  This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.

  See Also:
    Constant Field Values

### COLOR

    static final int COLOR

  This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.

  See Also:
    Constant Field Values

### FLOAT

    static final int FLOAT

  This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.

  See Also:
    Constant Field Values

### DOUBLE

    static final int DOUBLE

  This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.

  See Also:
    Constant Field Values

### TEX_INT

    static final int TEX_INT

  This constant identifies an integer texture buffer.

  See Also:
    Constant Field Values

### TEX_BYTE

    static final int TEX_BYTE

  This constant identifies an unsigned byte texture buffer.

  See Also:
    Constant Field Values

### NEAREST

    static final int NEAREST

  This constant identifies the nearest texture filter .

  See Also:
    Constant Field Values

### LINEAR

    static final int LINEAR

  This constant identifies the linear texture filter .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_NEAREST

    static final int NEAREST_MIPMAP_NEAREST

  This constant identifies the nearest/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_NEAREST

    static final int LINEAR_MIPMAP_NEAREST

  This constant identifies the linear/nearest function to build mipmaps .

  See Also:
    Constant Field Values

### NEAREST_MIPMAP_LINEAR

    static final int NEAREST_MIPMAP_LINEAR

  This constant identifies the nearest/linear function to build mipmaps .

  See Also:
    Constant Field Values

### LINEAR_MIPMAP_LINEAR

    static final int LINEAR_MIPMAP_LINEAR

  This constant identifies the linear/linear function to build mipmaps .

  See Also:
    Constant Field Values

### LINE_STRIP

    static final int LINE_STRIP

See Also:
  Constant Field Values

### LINE_LOOP

    static final int LINE_LOOP

See Also:
  Constant Field Values

### POINT_SPRITES

    static final int POINT_SPRITES

See Also:
  Constant Field Values

### SHADER_VAR_INT

    static final int SHADER_VAR_INT

  These constants identifies the shader variable types.

  See Also:
    Constant Field Values

### SHADER_VAR_FLOAT

    static final int SHADER_VAR_FLOAT

See Also:
  Constant Field Values

### SHADER_VAR_VEC2

    static final int SHADER_VAR_VEC2

See Also:
  Constant Field Values

### SHADER_VAR_VEC3

    static final int SHADER_VAR_VEC3

See Also:
  Constant Field Values

### SHADER_VAR_VEC4

    static final int SHADER_VAR_VEC4

See Also:
  Constant Field Values

### SHADER_VAR_MAT2

    static final int SHADER_VAR_MAT2

See Also:
  Constant Field Values

### SHADER_VAR_MAT3

    static final int SHADER_VAR_MAT3

See Also:
  Constant Field Values

### SHADER_VAR_MAT4

    static final int SHADER_VAR_MAT4

See Also:
  Constant Field Values

### SHADER_VAR_TEXTURE_SAMPLER

    static final int SHADER_VAR_TEXTURE_SAMPLER

See Also:
  Constant Field Values

### SHADER_VAR_MODELVIEW_MAT

    static final int SHADER_VAR_MODELVIEW_MAT

See Also:
  Constant Field Values

### SHADER_VAR_PROJECTION_MAT

    static final int SHADER_VAR_PROJECTION_MAT

See Also:
  Constant Field Values

### SHADER_VAR_MODELVIEW_PROJECTION_MAT

    static final int SHADER_VAR_MODELVIEW_PROJECTION_MAT

See Also:
  Constant Field Values

### SHADER_VAR_TEXTURE_MAT

    static final int SHADER_VAR_TEXTURE_MAT

See Also:
  Constant Field Values

### IDENTITY_MATRIX

    static final int IDENTITY_MATRIX

  Matrix operations used in Cg..

  See Also:
    Constant Field Values

### INVERSE_MATRIX

    static final int INVERSE_MATRIX

See Also:
  Constant Field Values

### TRANSPOSE_MATRIX

    static final int TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### INVERSE_TRANSPOSE_MATRIX

    static final int INVERSE_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### VERTEX_PROGRAM

    static final int VERTEX_PROGRAM

  These constants identifies the shader program types.

  See Also:
    Constant Field Values

### FRAGMENT_PROGRAM

    static final int FRAGMENT_PROGRAM

See Also:
  Constant Field Values

### GEOMETRY_PROGRAM

    static final int GEOMETRY_PROGRAM

See Also:
  Constant Field Values

### GL_DEPTH_STENCIL

    static final int GL_DEPTH_STENCIL

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_24_8

    static final int GL_UNSIGNED_INT_24_8

See Also:
  Constant Field Values

### GL_DEPTH24_STENCIL8

    static final int GL_DEPTH24_STENCIL8

See Also:
  Constant Field Values

### BACKGROUND_ALPHA

    static final int BACKGROUND_ALPHA

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008